import pylab as pl

symbols = 'Rh Ru Pd W Ir Au'.split()


Eclean = {}

names = """1.1.00.003
1.1.00.010
1.2.00.004
1.2.00.012
1.3.00.013
2.1.00.001
2.1.00.007
2.1.02.001
2.1.03.007
2.1.04.007
3.1.00.005
3.1.04.005
3.1.06.005
3.2.00.006
3.2.03.006
3.2.04.006""".split()

name2energy = {}

for fname in ['energies.full.txt', 'energies.clean.txt']:
    for line in open(fname):
        tokens = line.split(':')
        key = tokens[0]
        value = float(tokens[2])
        name2energy[key] = value



for symbol in symbols:
    Eads = []
    for name in names:
        Ef = name2energy['%s/O_Pt_%s.%s/gpaw.full.txt' % (symbol, symbol,
                                                          name)]
        Er = name2energy['%s/O_Pt_%s.%s/gpaw.clean.txt' % (symbol, symbol,
                                                           name)]
        dE = Ef - Er --1.48
        print '%3s %12s %8.3f' % (symbol, name, dE)
        Eads.append(dE)
    print
    pl.plot(Eads, lw=2, label=symbol, marker='o', ls='-')
    pl.ylabel('Adsorption energy [eV]')
    pl.xticks(range(len(names)), names, rotation=90)
    pl.subplots_adjust(bottom=0.3, right=0.8)
pl.legend(loc=(1, 0))
pl.show()
